diff --git a/streaming/rrdpush.c b/streaming/rrdpush.c
index 16cdafb0d004c..f34d421cdf3a3 100644
--- a/streaming/rrdpush.c
+++ b/streaming/rrdpush.c
@@ -1097,6 +1097,7 @@ static int rrdpush_receive(int fd
     char *rrdpush_destination = default_rrdpush_destination;
     char *rrdpush_api_key = default_rrdpush_api_key;
     char *rrdpush_send_charts_matching = default_rrdpush_send_charts_matching;
+    const char *backend_labels = NULL;
     time_t alarms_delay = 60;
     RRDPUSH_MULTIPLE_CONNECTIONS_STRATEGY rrdpush_multiple_connections_strategy = RRDPUSH_MULTIPLE_CONNECTIONS_ALLOW;
 
@@ -1133,7 +1134,6 @@ static int rrdpush_receive(int fd
 
     tags = appconfig_set_default(&stream_config, machine_guid, "host tags", (tags)?tags:"");
     if(tags && !*tags) tags = NULL;
-    labels = NULL;
 
     if (strcmp(machine_guid, localhost->machine_guid) == 0) {
         log_stream_connection(client_ip, client_port, key, machine_guid, hostname, "DENIED - ATTEMPT TO RECEIVE METRICS FROM MACHINE_GUID IDENTICAL TO MASTER");
@@ -1149,7 +1149,7 @@ static int rrdpush_receive(int fd
                 , os
                 , timezone
                 , tags
-                , labels
+                , backend_labels
                 , program_name
                 , program_version
                 , update_every
